# MapperDeserializationStrategy

open class MapperDeserializationStrategy < I , O >(base: DeserializationStrategy< I >, deserialize: (Decoder, I ) -> O ) : DeserializationStrategy< O > (source)

Use this serializer when you have deserializable type I and want to map it to some O in process of deserialization

#### Parameters

base

Serializer for I

deserialize

Will be used in deserialize method to convert deserialized by base to O

## Constructors

MapperDeserializationStrategy
Link copied to clipboard
constructor(base: DeserializationStrategy< I >, deserialize: (Decoder, I ) -> O )
constructor(base: DeserializationStrategy< I >, deserialize: ( I ) -> O )

## Properties

descriptor
Link copied to clipboard
open override val descriptor : SerialDescriptor

## Functions

deserialize
Link copied to clipboard
open override fun deserialize (decoder: Decoder): O
mapDeserialization
Link copied to clipboard
inline fun < I : Any , O > DeserializationStrategy< I >. mapDeserialization (noinline deserialize: ( I ) -> O ): MapperDeserializationStrategy < I , O >

Will create MapperDeserializationStrategy to allow you to map I to O using deserialize lambda during deserialization process